=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gnupg2,
                gpg-agent,
                libgpgme-dev,
-               libkf5akonadicontact-dev (>= 4:20.12.3~),
+               libkf5akonadicontact-dev (>= 4:21.04.1~),
                libkf5archive-dev (>= 5.71.0~),
                libkf5codecs-dev (>= 5.71.0~),
                libkf5contacts-dev,
