=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kgpg
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
@@ -12,7 +13,7 @@
                gnupg2,
                gpg-agent,
                libgpgme-dev,
-               libkf5akonadicontact-dev (>= 4:21.08.1~),
+               libkf5akonadicontact-dev (>= 4:21.12.3~),
                libkf5archive-dev (>= 5.71.0~),
                libkf5codecs-dev (>= 5.71.0~),
                libkf5contacts-dev,
@@ -35,8 +36,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://apps.kde.org/en/kgpg
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
 Rules-Requires-Root: no
 
 Package: kgpg
