## kgpg 22.04.2

=== debian/changelog ===
kgpg (4:22.04.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 07:04:23 +0200

kgpg (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 25 Jun 2022 12:20:40 +0200

kgpg (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add missing B-D libgrantlee5-dev to build against KDE PIM 21.12.

 -- Patrick Franz <deltaone@debian.org>  Sat, 02 Apr 2022 15:08:42 +0200

kgpg (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 16:53:33 +0100

kgpg (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Drop Kubuntu from maintainer name.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:12:42 +0900

kgpg (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update upstream signing key.
  * Update build-dependencies according to cmake.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 12:06:27 +0900
