=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kgpg
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -13,7 +14,7 @@
                gpg-agent,
                libgpgme-dev,
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadicontact-dev (>= 4:22.04.2~),
+               libkf5akonadicontact-dev (>= 4:22.08.1~),
                libkf5archive-dev (>= 5.85.0~),
                libkf5codecs-dev (>= 5.85.0~),
                libkf5contacts-dev,
@@ -35,8 +36,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/kgpg
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
 Rules-Requires-Root: no
 
 Package: kgpg
