=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,12 @@
 create_test(kgpg-add-photo kgpgaddphoto.h kgpgaddphoto.cpp)
 create_test(kgpg-add-uid kgpgadduid.h kgpgadduid.cpp)
 create_test(kgpg-export kgpgexport.h kgpgexport.cpp)
+create_test(kgpg-genkey
+		kgpggeneratekey.h
+		kgpggeneratekey.cpp
+		kgpggeneratekeytesttransaction.h
+		kgpggeneratekeytesttransaction.cpp
+		)
 
 add_custom_target(test-data)
