=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/kgpg
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git
@@ -43,7 +43,7 @@
 Package: kgpg
 Section: utils
 Architecture: any
-Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}
+Depends: gnupg, ${misc:Depends}, ${shlibs:Depends},
 Description: graphical front end for GNU Privacy Guard
  Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
  decrypt, sign, and verify files.  It features a simple editor for applying
