=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gpg-agent,
                libgpgme-dev,
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.90.0~),
                libkf5codecs-dev (>= 5.90.0~),
                libkf5contacts-dev,
