## kgpg 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,38 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kgpg VERSION ${RELEASE_SERVICE_VERSION})
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90.0")
-
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(KF_MIN_VERSION "5.92.0")
+
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
+include(CheckIncludeFileCXX)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
 include(FeatureSummary)
 include(ECMSetupVersion)
 include(CMakeFindDependencyMacro)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
   Core
@@ -32,8 +42,9 @@
   Widgets
 )
 
+
 # Load the frameworks we need
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED
   Archive
   DocTools
   Codecs
@@ -49,32 +60,29 @@
   XmlGui
   WidgetsAddons
   WindowSystem
-)
-
-# kdepimlibs
-find_package(KF5 REQUIRED
-  AkonadiContact
   Contacts
 )
+
+# 5.23.80 aka 23.07.80
+find_package(KPim${KF_MAJOR_VERSION}AkonadiContact 5.23.80 REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}ContactEditor 5.23.80 REQUIRED)
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt6Core5Compat)
+endif()
 
 # only headers are used
 find_package(Gpgme REQUIRED)
 
-add_definitions(
-    #-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
-)
+ecm_set_disabled_deprecation_versions(
+     KF 5.80.0
+    )
 
 add_subdirectory( icons )
 add_subdirectory( doc )
 include_directories(  ${KDEPIMLIBS_INCLUDE_DIR} ${GPGME_INCLUDES} )
 
 option(KGPG_DEBUG_TRANSACTIONS "show commands and results of gpg calls in debug log" Off)
-
-
-
 
 set(core_SRCS
    core/convert.cpp
@@ -143,6 +151,7 @@
    transactions/kgpgsignuid.cpp
    transactions/kgpgtextorfiletransaction.cpp
    transactions/kgpgverify.cpp
+   transactions/customstyleditemdelegate.cpp
 )
 
 set(kgpg_SRCS ${core_SRCS} ${kgpg_editor_SRCS} ${kgpg_model_SRCS} ${kgpg_transaction_SRCS}
@@ -206,6 +215,7 @@
    selectpublickeydialog.h
    selectsecretkey.h
    sourceselect.h
+   transactions/customstyleditemdelegate.h
 )
 
 qt_add_dbus_adaptor( kgpg_SRCS org.kde.kgpg.Key.xml keysmanager.h KeysManager)
@@ -247,27 +257,32 @@
 set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_VERSION=\"${RELEASE_SERVICE_VERSION}\"")
 
 target_link_libraries(kgpg_lib
-    KF5::AkonadiContact
-    KF5::Archive
-    KF5::Codecs
-    KF5::Contacts
-    KF5::CoreAddons
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::I18n
-    KF5::JobWidgets
-    KF5::KIOCore
-    KF5::KIOFileWidgets
-    KF5::KIOWidgets
-    KF5::Notifications
-    KF5::Service
-    KF5::TextWidgets
-    KF5::XmlGui
-    KF5::WidgetsAddons
-    KF5::WindowSystem
+    KF${KF_MAJOR_VERSION}::Archive
+    KF${KF_MAJOR_VERSION}::Codecs
+    KF${KF_MAJOR_VERSION}::Contacts
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::JobWidgets
+    KF${KF_MAJOR_VERSION}::KIOCore
+    KF${KF_MAJOR_VERSION}::KIOFileWidgets
+    KF${KF_MAJOR_VERSION}::KIOWidgets
+    KF${KF_MAJOR_VERSION}::Notifications
+    KF${KF_MAJOR_VERSION}::Service
+    KF${KF_MAJOR_VERSION}::TextWidgets
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::WidgetsAddons
+    KF${KF_MAJOR_VERSION}::WindowSystem
+    KPim${KF_MAJOR_VERSION}::AkonadiContact
+    KPim${KF_MAJOR_VERSION}::ContactEditor
     Qt::PrintSupport
 )
-
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(kgpg_lib
+        Qt6::Core5Compat
+    )
+endif()
 if(BUILD_TESTING)
   add_subdirectory(tests)
 endif()
